nfv:
  vnfd:
    - id: VNF-B-2vdu
      provider: ETSI TST WG
      product_name: TST010 reference VNF-B with 2 VDUs
      software_version: '2.2'
      version: '2.2'
      vnfm_info: ETSI VNFM
      vdu:
        - id: vdu-b-1
          name: VNF-B VDU 1
          int_cpd:
           - id: left
             layer_protocol: ethernet
           - id: management
             layer_protocol: ethernet
           - id: internal
             layer_protocol: ethernet
             int_virtual_link_desc: internal-vl
          virtual_compute_desc: vdu-b-1-vcd
          virtual_storage_desc: vdu-b-1-vsd
          sw_image_desc: vdu-b-1-image
        - id: vdu-b-2
          name: VNF-B VDU 2
          int_cpd:
           - id: right
             layer_protocol: ethernet
           - id: management
             layer_protocol: ethernet
           - id: internal
             layer_protocol: ethernet
             int_virtual_link_desc: internal-vl
          virtual_compute_desc: vdu-b-2-vcd
          virtual_storage_desc: vdu-b-2-vsd
          sw_image_desc: vdu-b-2-image
      virtual_compute_desc:
        id: vdu-b-1-vcd
        virtual_memory:
          size: '4.0'
        virtual_cpu:
          num_virtual_cpu: '2'
      virtual_storage_desc:
        id: vdu-b-1-vsd
        type_of_storage: root-storage
        size_of_storage: '0'
      sw_image_desc:
        id: vdu-b-1-image
        name: VNF-B image
        version: '1.1'
        checksum:
          algorithm: sha-224
          hash: somehashfortst010
        container_format: bare
        disk_format: qcow2
        min_disk: '1'
        min_ram: '2.0'
        size: '1'
        image: 'http://someurl.com/VNF-B.qcow2'
      virtual_compute_desc:
        id: vdu-b-2-vcd
        virtual_memory:
          size: '6.0'
        virtual_cpu:
          num_virtual_cpu: '2'
      virtual_storage_desc:
        id: vdu-b-2-vsd
        type_of_storage: root-storage
        size_of_storage: '0'
      sw_image_desc:
        id: vdu-b-2-image
        name: VNF-B-2 image
        version: '1.1'
        checksum:
          algorithm: sha-224
          hash: somehashfortst010
        container_format: bare
        disk_format: qcow2
        min_disk: '1'
        min_ram: '2.0'
        size: '1'
        image: 'http://someurl.com/VNF-B-2.qcow2'
      int_virtual_link_desc:
        - id: internal-vl
          flavour:
            id: internal-vl-flavour
            qos:
              latency: '1'
              packet_delay_variation: '1'
              packet_loss_ratio: '0.05'
          connectivity_type:
            layer_protocol: ethernet     
      ext_cpd:
        - id: ext-b-left
          int_cpd:
            vdu_id: vdu-b-1
            cpd: left
          layer_protocol: ethernet
        - id: management
          int_cpd:
            vdu_id: vdu-b-1
            cpd: management
          layer_protocol: ethernet
        - id: ext-b-right
          int_cpd:
            vdu_id: vdu-b-2
            cpd: right
          layer_protocol: ethernet
      df:
        id: normal
        vdu_profile:
          - id: vdu-b-1
            min_number_of_instances: '1'
            max_number_of_instances: '2'
          - id: vdu-b-2
            min_number_of_instances: '1'
            max_number_of_instances: '4'          
        instantiation_level:
          - id: double
            vdu_level:
              - vdu_id: vdu-b-1
                number_of_instances: '2'
              - vdu_id: vdu-b-2
                number_of_instances: '2'
          - id: single
            vdu_level:
              - vdu_id: vdu-b-1
                number_of_instances: '1'
              - vdu_id: vdu-b-2
                number_of_instances: '1'
        default_instantiation_level: single
        lcm_operations_configuration:
          scale_vnf_to_level_op_config:
            arbitrary_target_levels_supported: 'true'
          terminate_vnf_op_config:
            min_graceful_termination: '1'
          operate_vnf_op_config:
            min_graceful_stop_timeout: '1'